Citrix Required Update For Mac OS 10.15 Catalina

Are you running Caterease on a Mac? Did you update to OS 10.15 Catalina? You need to update your Citrix receiver.

Yesterday, Apple released their latest OS update (Catalina) for Mac devices. In order for the new update to work with your Caterease Connect program, you need to update your Citrix receiver.

Please click the button below to update! If you have any questions, please don’t hesitate to reach out to our Help desk by calling 239-261-6617 or email help@caterease.com.